package cn.axzo.workflow.core.engine.event;

import cn.axzo.workflow.common.model.dto.BizDocDTO;

import java.util.List;

/**
 * 模型关联的文档变更事件对象
 *
 * @author wangli
 * @since 2025-04-07 16:51
 */
public interface DocChangeEvent {

    /**
     * 业务 ID
     *
     * @return
     */
    String getKey();

    /**
     * 工作台 ID
     *
     * @return
     */
    Long getWorkspaceId();

    /**
     * 修改后的文档
     *
     * @return
     */
    List<BizDocDTO> getNewSettings();

    /**
     * 修改前的文档
     *
     * @return
     */
    List<BizDocDTO> getOldSettings();

}
